%define		_class		Net
%define		_subclass	UserAgent
%define		upstream_name	%{_class}_%{_subclass}_Detect

Name:		php-pear-%{upstream_name}
Version:	2.5.2
Release:	%mkrel 8
Summary:	Determines the Web browser
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_UserAgent_Detect/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
The Net_UserAgent object does a number of tests on an HTTP User-Agent
string. The results of these tests are available via methods of the
object. This module is based upon the JavaScript browser detection
code available at
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.
This module had many influences from the lib/Browser.php code in
version 1.3 of Horde.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}

pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 2.5.2-8.mga6
+ Revision: 964640
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 2.5.2-7.mga6
+ Revision: 964489
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.2-6.mga5
+ Revision: 748438
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.2-5.mga5
+ Revision: 687397
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.2-4.mga4
+ Revision: 517111
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5.2-3.mga3
+ Revision: 377068
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 2.5.2-2.mga1
+ Revision: 44012
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_UserAgent_Detect

